<%@ Control Language="vb" AutoEventWireup="false" Codebehind="Settings.ascx.vb" Inherits="RTP.RSSFeed.Settings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<style type="text/css">
    .style1 {
        color: #666633;
        font-weight: bold;
    }
</style>
<table id="tblRSSSettings" cellspacing="0" cellpadding="3" width="100%" border="0">
    <tr>
        <td class="SubHead" valign="top" style="width:175px" >
             <dnn:Label ID="plFeedTitle" Text="Feed Title:" runat="server" ControlName="txtFeedRootTitle"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px;">
             <asp:TextBox ID="txtFeedRootTitle" runat="server" CssClass="NormalTextBox" 
                 MaxLength="50" Width="350px" Wrap="False"  ></asp:TextBox>
         </td>
     </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plFeedDescription" Text="Description:" runat="server" ControlName="txtFeedRootDescription"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px">
             <asp:TextBox ID="txtFeedRootDescription" runat="server" CssClass="NormalTextBox" 
                 MaxLength="200" Width="350px" TextMode="MultiLine"  ></asp:TextBox>
         </td>
     </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plTitle" Text="Title:" runat="server" ControlName="chkTitle"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkTitle" runat="server" Checked="True" Enabled="False"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plDescription" Text="Description:" runat="server" ControlName="chkDescription"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkDescription" runat="server" Checked="True" Enabled="False"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plLink" Text="Link:" runat="server" ControlName="chkLink"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkLink" runat="server" Checked="True" Enabled="False"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plPubDate" Text="PubDate:" runat="server" ControlName="chkPubDate"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkPubDate" runat="server" Checked="False" Enabled="True"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plCreator" Text="Creator:" runat="server" ControlName="chkCreator"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkCreator" runat="server" Checked="False" Enabled="True"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plCategory" Text="Category:" runat="server" ControlName="chkCategory"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkCategory" runat="server" Checked="False" Enabled="True"></asp:CheckBox>
         </td>
    </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plImageURL" Text="ImageURL:" runat="server" ControlName="chkImageURL"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkImageURL" runat="server" Checked="False" Enabled="True"></asp:CheckBox>
         </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plSQLQuery" Text="SQL Query:" runat="server" ControlName="txtSQLQuery"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px">
             <span class="style1">SQL Query can only be updated by Host</span><br />
             <asp:TextBox ID="txtSQLQuery" runat="server" CssClass="NormalTextBox" 
                 MaxLength="1000" Width="350px" Height="300px" TextMode="MultiLine"></asp:TextBox>
         </td>
     </tr>
     <tr>
         <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plSecurity" Text="Enable Security:" runat="server" ControlName="chkSecurity"></dnn:Label>
         </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkSecurity" runat="server" Checked="False" Enabled="True"></asp:CheckBox>
         </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plNoPerms" Text="No Permissions Text:" runat="server" ControlName="txtNoPerms"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px">
             <asp:TextBox ID="txtNoPerms" runat="server" CssClass="NormalTextBox" 
                 MaxLength="100" Width="350px" Wrap="False"  ></asp:TextBox>
         </td>
     </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plUTCConvert" Text="Correct for DST:" runat="server" ControlName="chkUTCConvert"></dnn:Label>
        </td>
         <td class="SubHead" valign="top">
             <asp:CheckBox ID="chkUTCConvert" runat="server" Checked="True" Enabled="True"></asp:CheckBox>
         </td>
     </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plUTMSource" Text="UTM Source:" runat="server" ControlName="txtUTMSource"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px">
             <asp:TextBox ID="txtUTMSource" runat="server" CssClass="NormalTextBox" 
                 MaxLength="100" Width="350px" Wrap="False"  ></asp:TextBox>
         </td>
     </tr>
    <tr>
        <td class="SubHead" valign="top" style="width:175px">
             <dnn:Label ID="plUTMMedium" Text="UTM Medium:" runat="server" ControlName="txtUTMMedium"></dnn:Label>
        </td>
        <td class="SubHead" valign="top" style="width:450px">
             <asp:TextBox ID="txtUTMMedium" runat="server" CssClass="NormalTextBox" 
                 MaxLength="100" Width="350px" Wrap="False"  ></asp:TextBox>
         </td>
     </tr>
</table>
